(defproject puppetlabs/kitchensink "3.1.1"
  :description "Clojure utility functions"
  :license {:name "Apache License, Version 2.0"
            :url "http://www.apache.org/licenses/LICENSE-2.0.html"}

  :min-lein-version "2.9.1"

  ;; Abort when version ranges or version conflicts are detected in
  ;; dependencies. Also supports :warn to simply emit warnings.
  ;; requires lein 2.2.0+.
  :pedantic? :abort

  :dependencies [[org.clojure/clojure "1.10.x"]
                 [org.clojure/tools.logging "debian"]
                 [org.clojure/tools.cli "debian"]

                 [clj-time "debian"]
                 [clj-commons/fs "debian"]
                 [slingshot "debian"]
                 [cheshire "debian"]

                 [org.ini4j/ini4j "debian"]
                 [org.tcrawley/dynapath "debian"]
                 [digest "debian"]

                 [com.fasterxml.jackson.core/jackson-core "2.x"]
                 [com.fasterxml.jackson.dataformat/jackson-dataformat-smile "2.x"]
                 [com.fasterxml.jackson.dataformat/jackson-dataformat-cbor "2.x"]
                 ]

  ;; By declaring a classifier here and a corresponding profile below we'll get an additional jar
  ;; during `lein jar` that has all the code in the test/ directory. Downstream projects can then
  ;; depend on this test jar using a :classifier in their :dependencies to reuse the test utility
  ;; code that we have.
  :classifiers [["test" :testutils]]

  :profiles {:testutils {:source-paths ^:replace ["test"]}}

  :test-selectors {:default (complement :slow)
                   :slow :slow}

  :deploy-repositories [["releases" {:url "https://clojars.org/repo"
                                     :username :env/clojars_jenkins_username
                                     :password :env/clojars_jenkins_password
                                     :sign-releases false}]
                        ["snapshots" "http://nexus.delivery.puppetlabs.net/content/repositories/snapshots/"]]
  :local-repo "debian/maven-repo")
